Bug 600713 - [abrt] crash in rosegarden4-10.04.2-1.fc12: raise: Process /usr/bin/rosegarden was killed by signal 6 (SIGABRT)
[abrt] crash in rosegarden4-10.04.2-1.fc12: raise: Process /usr/bin/rosegarde...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
abrt_hash:5846b66a1b3c493c3f79d77c484...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 13:59 EDT by Niels Mayer
Modified: 2010-08-02 20:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: calf-0.0.18.5-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.57 KB, text/plain)
2010-06-05 13:59 EDT, Niels Mayer
no flags Details
output from running rosegarden in termal (22.53 KB, text/plain)
2010-06-05 14:10 EDT, Niels Mayer
no flags Details

  None (edit)
Description Niels Mayer 2010-06-05 13:59:08 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: rosegarden
component: rosegarden4
crash_function: raise
executable: /usr/bin/rosegarden
global_uuid: 5846b66a1b3c493c3f79d77c48413450fe6bcb95
kernel: 2.6.32.12-115.fc12.x86_64
package: rosegarden4-10.04.2-1.fc12
rating: 4
reason: Process /usr/bin/rosegarden was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

comment
-----
gnulem-119-~/Documents> rosegarden 
Setting graphics system for Qt 4.5+ to: raster
[...]
Warning: Composition::~Composition() with 3 observers still extant
Observers are: 0x29e1ac0 [N10Rosegarden19SegmentParameterBoxE] 0x2a34df0 [N10Rosegarden17TrackParameterBoxE] 0x2ed5f80 [N10Rosegarden20CompositionModelImplE]
*** glibc detected *** rosegarden: double free or corruption (out): 0x00007f829c223ba0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x38e7e74ac6]
/usr/lib64/dssi/calf.so(_ZN12calf_plugins14ladspa_wrapperINS_23compressor_audio_moduleEED1Ev+0x37)[0x7f82a4130d07]
/lib64/libc.so.6(exit+0xe2)[0x38e7e35b82]
/lib64/libc.so.6(__libc_start_main+0x104)[0x38e7e1eb24]
rosegarden[0x43cfd9]


How to reproduce
-----
1. Start rosegarden.
2. Use menu to quit rosegarden
3. Core dump.
Comment 1 Niels Mayer 2010-06-05 13:59:10 EDT
Created attachment 421468 [details]
File: backtrace
Comment 2 Niels Mayer 2010-06-05 14:10:30 EDT
Created attachment 421470 [details]
output from running rosegarden in termal
Comment 3 Orcan Ogetbil 2010-06-05 18:55:14 EDT
The offending package is not rosegarden but calf, I think specifically ladspa-calf-plugins. calf's codebase changed a lot since the last release. I'll contact its developer when I find time.
Comment 4 Niels Mayer 2010-06-05 19:29:39 EDT
Indeed, after removing ladspa-calf-plugins, it now quits with a warning, but doesn't coredump. I will await update of this package. Thanks for letting me know of this interaction, especially on a plugin I'm not using but is just "sitting" in the directory. That level of sensitivity to faulty plugins is therefore the bug for this particular crash. It'll be interesting if that also clears up the qtractor issues also pointing towards memory corruption, which happen infrequently.

Installed Packages
ladspa-calf-plugins.x86_64                0.0.18.5-3.fc12                @fedora
gnulem-125-~/Documents> sudo yum remove ladspa-calf-plugins.x86_64
================================================================================
 Package                  Arch        Version               Repository     Size
================================================================================
Removing:
 ladspa-calf-plugins      x86_64      0.0.18.5-3.fc12       @fedora       1.2 M
Removing for dependencies:
 lmms                     x86_64      0.4.6-2.fc12          @updates       10 M

Transaction Summary
================================================================================
Remove        2 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Is this ok [y/N]: y

  Erasing        : lmms-0.4.6-2.fc12.x86_64                                 1/2 
  Erasing        : ladspa-calf-plugins-0.0.18.5-3.fc12.x86_64               2/2 

Removed:
  ladspa-calf-plugins.x86_64 0:0.0.18.5-3.fc12                                  

Dependency Removed:
  lmms.x86_64 0:0.4.6-2.fc12                                                    

Complete!
gnulem-126-~/Documents> rosegarden 
Setting graphics system for Qt 4.5+ to: raster
Thorn - 1
System Locale: en_US
Qt translations path: /usr/share/qt4/translations
Qt translations not loaded.
RG Translation: trying to load :locale/en_US
RG Translations loaded successfully.
Loaded application icon "rg-rwb-rose3-16x16"
Loaded application icon "rg-rwb-rose3-32x32"
Loaded application icon "rg-rwb-rose3-48x48"
Loaded application icon "rg-rwb-rose3-64x64"
Loaded application icon "rg-rwb-rose3-128x128"
NOTE: Found stylesheet at ":/rosegarden.qss", applying it
QSettings::endGroup: No matching beginGroup()
AlsaDriver::AlsaDriver [begin]
Rosegarden 10.04.2 - AlsaDriver [ALSA library version 1.0.23, module version 1.0.21, kernel version 2.6.32.12-115.fc12.x86_64]
PluginFactory::instance(dssi): creating new DSSIPluginFactory
LADSPAPluginFactory::discoverPlugins - discovering plugins; path is [/home/npm/.dssi] [/usr/local/lib64/dssi] [/usr/lib64/dssi] [/usr/local/lib/dssi] [/usr/lib/dssi] 
[...]
QMainWindow::saveState(): 'objectName' not set for QDockWidget 0x32efa30 'Special Parameters;
RosegardenSequencer::quit()
Warning: Composition::~Composition() with 3 observers still extant
Observers are: 0x33b97c0 [N10Rosegarden19SegmentParameterBoxE] 0x340eec0 [N10Rosegarden17TrackParameterBoxE] 0x38aef30 [N10Rosegarden20CompositionModelImplE]
Comment 5 Fedora Update System 2010-07-15 00:16:46 EDT
calf-0.0.18.5-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/calf-0.0.18.5-4.fc13
Comment 6 Fedora Update System 2010-07-15 00:17:30 EDT
calf-0.0.18.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/calf-0.0.18.5-4.fc12
Comment 7 Fedora Update System 2010-07-15 17:04:15 EDT
calf-0.0.18.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calf-0.0.18.5-4.fc13
Comment 8 Fedora Update System 2010-07-15 17:05:54 EDT
calf-0.0.18.5-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calf-0.0.18.5-4.fc12
Comment 9 Fedora Update System 2010-08-02 20:43:45 EDT
calf-0.0.18.5-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-02 20:56:42 EDT
calf-0.0.18.5-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.